LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XClipboardManager Interface Referencepublished

This interface is used to retrieve, add, or remove clipboard instances. More...

`import"XClipboardManager.idl";`

Inheritance diagram for XClipboardManager:

## Public Member Functions
XClipboard | getClipboard ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
| Get a clipboard instance by name. More...
void | addClipboard ([in] XClipboard xClipboard) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| Add a clipboard instance to the manager's list. More...
void | removeClipboard ([in] string aName)
| Removes the clipboard with the specified name from the list. More...
sequence< string > | listClipboardNames ()
| Get a list of a managed clipboards. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface is used to retrieve, add, or remove clipboard instances.

See also
  com::sun::star::datatransfer::clipboard::XClipboard

## Member Function Documentation

## ◆ addClipboard()

void addClipboard | ( | [in] XClipboard | xClipboard | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::ElementExistException
| ) |  |

Add a clipboard instance to the manager's list.

Parameters

  xClipboard | The clipboard to add.

Exceptions

  com::sun::star::IllegalArgumentException | if xClipboard is not a valid clipboard.
  com::sun::star::container::ElementExistsException | if a clipboard with the name of xClipboard already exists.

## ◆ getClipboard()

XClipboard getClipboard | ( | [in] string | aName | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Get a clipboard instance by name.

Returns
  The clipboard object with the specified name.

Parameters

  aName | The name of clipboard to return. To retrieve the default (system) clipboard, pass an empty string.

Exceptions

  com::sun::star::container::NoSuchElementException | if no clipboard with the specified name exists.

## ◆ listClipboardNames()

sequence< string > listClipboardNames | ( |  | ) |

Get a list of a managed clipboards.

Returns
  A sequence of the names of all available clipboards.

## ◆ removeClipboard()

void removeClipboard | ( | [in] string | aName | ) |

Removes the clipboard with the specified name from the list.

Parameters

  aName | The name of the clipboard to remove.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/clipboard/XClipboardManager.idl